## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname scikit-build

Name:           python-%{srcname}
Version:        0.16.3
Release:        %{autorelease}
Summary:        Improved build system generator for CPython extensions

# Most of the project is under MIT/BSD-2-Clause-Views
# skbuild/resources/cmake/FindCython.cmake: Apache-2.0
# skbuild/resources/cmake/UseF2PY.cmake: Apache-2.0
License:        MIT and BSD-2-Clause-Views and Apache-2.0
URL:            https://github.com/scikit-build/scikit-build
Source:         %{pypi_source %{srcname}}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Improved build system generator for CPython C/C++/Fortran/Cython extensions.

Better support is available for additional compilers, build systems, cross
compilation, and locating dependencies and determining their build requirements.

The scikit-build package is fundamentally just glue between the setuptools
Python module and CMake.}

%description %_description

%package -n python3-%{srcname}
Summary: %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -p1 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files skbuild

%check
# The test suite requires modules not present in Fedora, including xdoctest
# & ubelt
%pyproject_check_import


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst
# Building the full doc requires sphinxcontrib-moderncmakedomain, which is not
# in Fedora.


%changelog
* Sun Dec 25 2022 Troy Curtis Jr <troy@troycurtisjr.com> - 0.16.3-1
- Initial python-scikit-build spec.
